Financials (real-time)
Get Financials Order
Get the status of a financials order and, once complete, its result.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
orderId*string
Order ID.
Query Parameters
customerId?|
Optional customer ID for validation
Header Parameters
Kausate-Version?string
Default
"2026-08-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/companies/finance/string" \ -H "Kausate-Version: 2026-08-01"{
"orderId": "string",
"kausateId": "string",
"companyName": "string",
"customerReference": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"customerId": "string",
"status": "running",
"requestTime": "2019-08-24T14:15:22Z",
"responseTime": "2019-08-24T14:15:22Z",
"result": {
"type": "financials",
"statements": [
{
"metadata": {
"periodStart": "string",
"periodEnd": "string",
"filingDate": "string",
"currency": "string",
"scope": "entity",
"audited": true,
"accountingStandard": "HGB",
"statementType": "annual",
"isMicroEntity": true,
"reportingScale": "units",
"source": "string"
},
"incomeStatement": {
"revenue": "string",
"otherOperatingIncome": "string",
"totalOperatingIncome": "string",
"costOfGoodsAndServices": "string",
"personnelCosts": "string",
"depreciationAndAmortization": "string",
"otherOperatingExpenses": "string",
"totalOperatingExpenses": "string",
"operatingProfit": "string",
"financialIncome": "string",
"financialExpenses": "string",
"netFinancialResult": "string",
"profitBeforeTax": "string",
"incomeTax": "string",
"profitAfterTax": "string",
"extraordinaryItems": "string",
"minorityInterests": "string",
"grossProfit": "string",
"ebitda": "string",
"cashFlow": "string"
},
"balanceSheet": {
"intangibleAssets": "string",
"goodwill": "string",
"propertyPlantAndEquipment": "string",
"financialAssets": "string",
"totalNonCurrentAssets": "string",
"inventories": "string",
"tradeReceivables": "string",
"otherReceivables": "string",
"cashAndCashEquivalents": "string",
"otherCurrentAssets": "string",
"totalCurrentAssets": "string",
"totalAssets": "string",
"shareCapital": "string",
"sharePremium": "string",
"retainedEarnings": "string",
"otherReserves": "string",
"totalEquity": "string",
"longTermBorrowings": "string",
"provisions": "string",
"deferredTaxLiabilities": "string",
"otherNonCurrentLiabilities": "string",
"totalNonCurrentLiabilities": "string",
"tradePayables": "string",
"shortTermBorrowings": "string",
"otherCurrentLiabilities": "string",
"totalCurrentLiabilities": "string",
"totalLiabilities": "string",
"workingCapital": "string",
"netDebt": "string"
},
"cashFlowStatement": {
"cashFromOperatingActivities": "string",
"cashFromInvestingActivities": "string",
"cashFromFinancingActivities": "string",
"netChangeInCash": "string",
"exchangeRateEffect": "string",
"cashAtBeginning": "string",
"cashAtEnd": "string"
},
"numberOfEmployees": 0,
"ratios": {
"returnOnEquityPreTax": "string",
"returnOnCapitalEmployedPreTax": "string",
"returnOnAssetsPreTax": "string",
"returnOnEquity": "string",
"returnOnCapitalEmployed": "string",
"returnOnAssets": "string",
"profitMargin": "string",
"grossMargin": "string",
"ebitdaMargin": "string",
"ebitMargin": "string",
"cashFlowToRevenue": "string",
"netAssetsTurnover": "string",
"interestCover": "string",
"stockTurnover": "string",
"collectionPeriodDays": "string",
"creditPeriodDays": "string",
"currentRatio": "string",
"liquidityRatio": "string",
"shareholdersLiquidityRatio": "string",
"solvencyRatioAssetBased": "string",
"solvencyRatioLiabilityBased": "string",
"gearing": "string",
"profitPerEmployee": "string",
"revenuePerEmployee": "string",
"costOfEmployeesToRevenue": "string",
"averageCostPerEmployee": "string",
"shareholdersFundsPerEmployee": "string",
"workingCapitalPerEmployee": "string",
"totalAssetsPerEmployee": "string",
"notSignificant": [
"string"
]
}
}
],
"sources": {
"property1": {
"dataSource": "aa-aggregated",
"type": "selfDeclaration",
"name": "string",
"jurisdictionCode": "aa",
"retrievalTime": "string",
"downloadUrl": "string",
"fileHash": "string",
"fileName": "string",
"date": {
"original": "string",
"normalized": "string"
}
},
"property2": {
"dataSource": "aa-aggregated",
"type": "selfDeclaration",
"name": "string",
"jurisdictionCode": "aa",
"retrievalTime": "string",
"downloadUrl": "string",
"fileHash": "string",
"fileName": "string",
"date": {
"original": "string",
"normalized": "string"
}
}
},
"contentDocuments": []
},
"error": "string",
"code": "string",
"currentActivity": "string",
"waitingMessage": "string",
"cachedOrder": false
}{
"detail": "Invalid company ID format",
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "API key is required",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Order not found",
"code": "resource.not_found",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"kausateId"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "The data source is rate-limiting requests right now, please try again later",
"code": "source.rate_limited",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "This capability is offered for the requested jurisdiction but is not usable right now because of a fault on our side. Please contact support@kausate.com",
"code": "capability.not_available",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Network error while reaching the data source",
"code": "source.network_error",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Data source temporarily unavailable",
"code": "source.unavailable",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on